# Contributing

* [Code of Conduct](#code-of-conduct)
* [Pull Requests](#pull-requests)
* [Developer's Certificate of Origin 1.1](#developers-certificate-of-origin)

## [Code of Conduct](./CODE_OF_CONDUCT.md)

All individuals participating will be expected to abide by the Code of Conduct.

Violating the Code of Conduct will result in action ranging from a conversation
about behavior to being permanently banned from the
project.

### The Spirit of the law

Not all interactions that require remediation are clear violations
of the Code of Conduct. Project maintainers will take appropriate
action, when neccessary, to ensure the zwnbsp community is a space
where individuals can comfortably collaborate and bring their
entire selves. Unfortunately, if bringing your entire self is
infringing on others from doing the same, you may be asked to leave.

## Pull Requests

If you would like to make a change open a Pull Request.

Project maintainers will do their best to review and land code
in a reasonable time frame.

All Pull Requests require CI to be green to land.

It is possible that some Pull Requests may be rejected. The project
maintainers will make best effort to explain why a Pull Request is
rejected in a timely manner.

## Developer's Certificate of Origin 1.1

By making a contribution to this project, I certify that:

* (a) The contribution was created in whole or in part by me and I
  have the right to submit it under the open source license
  indicated in the file; or

* (b) The contribution is based upon previous work that, to the best
  of my knowledge, is covered under an appropriate open source
  license and I have the right under that license to submit that
  work with modifications, whether created in whole or in part
  by me, under the same open source license (unless I am
  permitted to submit under a different license), as indicated
  in the file; or

* (c) The contribution was provided directly to me by some other
  person who certified (a), (b) or (c) and I have not modified
  it.

* (d) I understand and agree that this project and the contribution
  are public and that a record of the contribution (including all
  personal information I submit with it, including my sign-off) is
  maintained indefinitely and may be redistributed consistent with
  this project or the open source license(s) involved.
